## gnome-user-share 47.0

=== debian/changelog ===
gnome-user-share (47.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 11:24:24 -0400

=== debian/control ===
Source: gnome-user-share
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               apache2-bin (>= 2.4),
               itstool,
               libxt-dev,
               meson (>=0.57.0),
               pkgconf,
               libdbus-1-dev (>= 1.1.1),
               libglib2.0-dev (>= 2.74.0),
               libselinux1-dev [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-user-share
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-user-share.git

Package: gnome-user-share
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         apache2-bin (>= 2.4),
         libapache2-mod-dnssd (>= 0.6-3.1~)
Description: User level public file sharing via WebDAV
 gnome-user-share is a small package that allows easy user-level file sharing
 via WebDAV. The shared files are announced on the network by Avahi.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dmodules_path=/usr/lib/apache2/modules/ \
		-Dsystemduserunitdir=/usr/lib/systemd/user \
		$(CONFFLAGS)

## gnome-user-share 47.2

=== debian/changelog ===
gnome-user-share (47.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Dec 2024 11:25:14 -0500

## gnome-user-share 48.0

=== debian/changelog ===
gnome-user-share (48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove 3 patches no longer needed with new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 10:52:57 -0400

gnome-user-share (48~alpha.1-1) unstable; urgency=medium

  * New upstream release
  * Build with rust
  * Cherry-pick 2 patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 18:57:09 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,19 @@
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                apache2-bin (>= 2.4),
+               cargo,
                itstool,
+               libdbus-1-dev (>= 1.1.1),
+               libglib2.0-dev (>= 2.74.0),
+               librust-gettext-rs-0.7+gettext-system-dev,
+               librust-gio-0.20+v2-74-dev,
+               librust-libc-dev,
+               librust-selinux-0.4-dev,
+               libselinux1-dev [linux-any],
                libxt-dev,
                meson (>=0.57.0),
                pkgconf,
-               libdbus-1-dev (>= 1.1.1),
-               libglib2.0-dev (>= 2.74.0),
-               libselinux1-dev [linux-any],
+               rustc
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-user-share

## gnome-user-share 48.1

=== meson_options.txt ===
option('systemduserunitdir', type: 'string', value: '', description: 'custom directory for systemd user units')

option('httpd', type: 'array', value: ['httpd', '/usr/sbin/httpd', 'apache2', '/usr/sbin/apache2', 'httpd2', '/usr/sbin/httpd2'], description: 'Specify the binary used for the Apache httpd binary (default: httpd)')
option('modules_path', type: 'string', value: '/etc/httpd/modules/', description: 'Path where the httpd modules are located (default: /etc/httpd/modules/')

=== debian/changelog ===
gnome-user-share (48.1-3) unstable; urgency=medium

  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field
  * release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 06:35:41 -0400

gnome-user-share (48.1-2) experimental; urgency=medium

  * Add patch to build with rust-gio 0.21
  * Update Build-Depends to match

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Sep 2025 16:31:25 -0400

gnome-user-share (48.1-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 19:32:08 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libdbus-1-dev (>= 1.1.1),
                libglib2.0-dev (>= 2.74.0),
                librust-gettext-rs-0.7+gettext-system-dev,
-               librust-gio-0.20+v2-74-dev,
+               librust-gio-0.21+v2-74-dev,
                librust-libc-dev,
                librust-selinux-0.4-dev,
                libselinux1-dev [linux-any],
@@ -18,8 +18,7 @@
                meson (>=0.57.0),
                pkgconf,
                rustc
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-user-share
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-user-share.git

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,26 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
+include /usr/share/dpkg/default.mk
+include /usr/share/rustc/architecture.mk
+export CARGO=/usr/share/cargo/bin/cargo
+export CARGO_HOME=$(shell pwd)/debian/cargo_home
+export CARGO_REGISTRY=$(shell pwd)/debian/cargo_registry
+export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
+export DEB_HOST_RUST_TYPE
+
 %:
 	dh $@
+
+execute_after_dh_auto_clean:
+	$(CARGO) clean
+	rm -rf $(CARGO_HOME)
+	rm -rf $(CARGO_REGISTRY)
+
+execute_before_dh_auto_configure:
+	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
+	rm -f Cargo.lock
+	rm -f .cargo/config
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## gnome-user-share 48.2

=== debian/changelog ===
gnome-user-share (48.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Nov 2025 08:17:57 -0500
